/*
*/

#include <gst/gst.h>
#include <gst-phonon/gst-phonon.h>
#include "videoeffect.h"
#include <QVariant>

namespace Phonon
{
namespace Gst
{
VideoEffect::VideoEffect( int effectId, QObject* parent )
	: QObject( parent )
{
//	object = gpho_video_effect_new();
}

VideoEffect::~VideoEffect()
{
//	gst_object_unref(object);
}

QList<Phonon::EffectParameter> VideoEffect::parameterList() const
{
	return m_parameterList;
}

QVariant VideoEffect::value( int parameterId ) const
{
	return QVariant(); // invalid
}

void VideoEffect::setValue( int parameterId, QVariant newValue )
{
}

void VideoEffect::processFrame( Phonon::VideoFrame& frame )
{
	// do nothing
}

}} //namespace Phonon::Gst

#include "videoeffect.moc"
// vim: sw=4 ts=4
